Scientific Linux Security Update : gnutls on SL5.x i386/x86_64

This script is Copyright (C) 2014 Tenable Network Security, Inc.


Synopsis :

The remote Scientific Linux host is missing one or more security
updates.

Description :

It was discovered that GnuTLS did not correctly handle certain errors
that could occur during the verification of an X.509 certificate,
causing it to incorrectly report a successful verification. An
attacker could use this flaw to create a specially crafted certificate
that could be accepted by GnuTLS as valid for a site chosen by the
attacker. (CVE-2014-0092)

A flaw was found in the way GnuTLS handled version 1 X.509
certificates. An attacker able to obtain a version 1 certificate from
a trusted certificate authority could use this flaw to issue
certificates for other sites that would be accepted by GnuTLS as
valid. (CVE-2009-5138)

For the update to take effect, all applications linked to the GnuTLS
library must be restarted.

See also :

http://www.nessus.org/u?7bc7d07c

Solution :

Update the affected packages.

Risk factor :

Medium / CVSS Base Score : 5.8
(CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:N)

Family: Scientific Linux Local Security Checks

Nessus Plugin ID: 72795 ()

Bugtraq ID:

CVE ID: CVE-2009-5138
CVE-2014-0092